> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Route



## OpenAPI

````yaml /api/openapi.json get /api/jobs/{jid}
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/jobs/{jid}:
    get:
      tags:
        - jobs
      summary: Get Job Route
      operationId: get_job_route_api_jobs__jid__get
      parameters:
        - name: jid
          in: path
          required: true
          schema:
            type: string
            title: Jid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobDetail:
      properties:
        jid:
          type: string
          title: Jid
        function:
          type: string
          title: Function
        arguments:
          items: {}
          type: array
          title: Arguments
          default: []
        kwargs:
          additionalProperties: true
          type: object
          title: Kwargs
        target:
          type: string
          title: Target
        target_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Type
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
        start_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Time
        minions:
          items:
            type: string
          type: array
          title: Minions
          default: []
        results:
          items:
            $ref: '#/components/schemas/JobMinionResult'
          type: array
          title: Results
          default: []
      type: object
      required:
        - jid
        - function
        - target
      title: JobDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobMinionResult:
      properties:
        minion:
          type: string
          title: Minion
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
        retcode:
          anyOf:
            - type: integer
            - type: 'null'
          title: Retcode
        return_value:
          title: Return Value
      type: object
      required:
        - minion
      title: JobMinionResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````